<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XRouteFilterMember StructType
 * @subpackage Structs
 */
class XRouteFilterMember extends AbstractStructBase
{
    /**
     * The dialPlanTagName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $dialPlanTagName;
    /**
     * The operator
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $operator;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $priority;
    /**
     * The digits
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $digits;
    /**
     * Constructor method for XRouteFilterMember
     * @uses XRouteFilterMember::setDialPlanTagName()
     * @uses XRouteFilterMember::setOperator()
     * @uses XRouteFilterMember::setPriority()
     * @uses XRouteFilterMember::setDigits()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName
     * @param string $operator
     * @param string $priority
     * @param string $digits
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName = null, $operator = null, $priority = null, $digits = null)
    {
        $this
            ->setDialPlanTagName($dialPlanTagName)
            ->setOperator($operator)
            ->setPriority($priority)
            ->setDigits($digits);
    }
    /**
     * Get dialPlanTagName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public function getDialPlanTagName()
    {
        return $this->dialPlanTagName;
    }
    /**
     * Set dialPlanTagName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteFilterMember
     */
    public function setDialPlanTagName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $dialPlanTagName = null)
    {
        $this->dialPlanTagName = $dialPlanTagName;
        return $this;
    }
    /**
     * Get operator value
     * @return string
     */
    public function getOperator()
    {
        return $this->operator;
    }
    /**
     * Set operator value
     * @param string $operator
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteFilterMember
     */
    public function setOperator($operator = null)
    {
        $this->operator = $operator;
        return $this;
    }
    /**
     * Get priority value
     * @return string
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param string $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteFilterMember
     */
    public function setPriority($priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
    /**
     * Get digits value
     * @return string|null
     */
    public function getDigits()
    {
        return $this->digits;
    }
    /**
     * Set digits value
     * @param string $digits
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XRouteFilterMember
     */
    public function setDigits($digits = null)
    {
        $this->digits = $digits;
        return $this;
    }
}
